Views
Retrieves all views for a table
Enter your Workspace API key.
API keys can be generated and managed within the Workspace Integration settings in the Ninox app.
Module name
crmPattern: ^[a-z0-9_]+$Table name
contactsPattern: ^[a-z0-9_]+$Workspace ID
5rdco4s18swuPattern: ^[a-z0-9]+$Views retrieved successfully
Unauthorized
Table not found
Internal server error
GET /api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName}/views HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": [
{
"annualRecurring": true,
"chartConfig": {
"chartType": "bar",
"dataSets": [
{
"aggregation": "average",
"color": "text",
"fieldName": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
],
"donut": true,
"labelPosition": "bottom",
"legend": {
"show": true
},
"limit": 1,
"orientation": "horizontal",
"showDataTable": true,
"showLabels": true,
"showPoints": true,
"showTitle": true,
"smooth": true,
"stacked": true,
"style": "default",
"tooltips": {
"show": true
},
"xAxis": {
"fieldName": null,
"groupBy": "daily",
"show": true
},
"yAxis": {
"show": true
}
},
"columns": [
{
"agg": "text",
"conditionalStyling": [
{
"background": "text",
"cell": "text",
"color": "text",
"icon": "text",
"operand": "text",
"value": "text"
}
],
"field": "text",
"hidden": true,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"order": 1,
"role": "text",
"width": 1
}
],
"conditionalFormatting": [
{
"backgroundColor": "text",
"bold": true,
"comparator": "contains",
"expression": "text",
"fieldName": "text",
"highlightColor": "text",
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"italic": true,
"order": 1,
"strikethrough": true,
"target": "cell",
"textColor": "text",
"value": null
}
],
"filter": [
{
"field": "text",
"id": "text",
"operator": "text",
"value": "text"
}
],
"ganttConfig": {
"baselineEndFieldName": null,
"baselineStartFieldName": null,
"dependencyDirection": "predecessor",
"dependencyFieldName": null,
"disableDragAndDrop": true,
"endFieldName": null,
"hideTitleColumn": true,
"hideWeekends": true,
"milestoneFieldName": null,
"progressFieldName": null,
"showCriticalPath": true,
"showWeekends": true,
"startFieldName": null,
"timeScale": "day",
"titleColumnFieldName": null,
"titleColumnWidth": 1
},
"groupBy": [
{
"direction": "asc",
"fieldName": "text"
}
],
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"moduleName": "text",
"name": "text",
"order": 1,
"pivot": {
"columns": [
{
"dateGrouping": "day",
"fieldName": "text",
"sort": "asc"
}
],
"columnWidths": {
"rowHeader": 1,
"values": {
"ANY_ADDITIONAL_PROPERTY": 1
}
},
"rows": [
{
"dateGrouping": "day",
"fieldName": "text",
"sort": "asc"
}
],
"values": [
{
"agg": "avg",
"fieldName": "text"
}
]
},
"search": "text",
"sort": {
"direction": "asc",
"fieldName": "text"
},
"tableName": "text",
"type": "Calendar"
}
]
}Creates a view in a table. Every view type can be created, with field references by name.
Enter your Workspace API key.
API keys can be generated and managed within the Workspace Integration settings in the Ninox app.
Module name
crmPattern: ^[a-z0-9_]+$Table name
contactsPattern: ^[a-z0-9_]+$Workspace ID
5rdco4s18swuPattern: ^[a-z0-9]+$Calendar views only: render every record on the same day/month every year
View name
^[a-z0-9_]+$Stored search term
View type
View created successfully
Bad request (e.g., unsupported view type)
Unauthorized
Workspace, module or table not found
Internal server error
POST /api/v1/workspace/{workspaceId}/modules/{moduleName}/tables/{tableName}/views HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2036
{
"annualRecurring": true,
"chartConfig": {
"chartType": "bar",
"dataSets": [
{
"aggregation": "average",
"color": "text",
"fieldName": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
],
"donut": true,
"labelPosition": "bottom",
"legend": {
"show": true
},
"limit": 1,
"orientation": "horizontal",
"showDataTable": true,
"showLabels": true,
"showPoints": true,
"showTitle": true,
"smooth": true,
"stacked": true,
"style": "default",
"tooltips": {
"show": true
},
"xAxis": {
"fieldName": null,
"groupBy": "daily",
"show": true
},
"yAxis": {
"show": true
}
},
"columns": [
{
"agg": "text",
"conditionalStyling": [
{
"background": "text",
"cell": "text",
"color": "text",
"icon": "text",
"operand": "text",
"value": "text"
}
],
"field": "text",
"hidden": true,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"order": 1,
"role": "text",
"width": 1
}
],
"conditionalFormatting": [
{
"backgroundColor": "text",
"bold": true,
"comparator": "contains",
"expression": "text",
"fieldName": "text",
"highlightColor": "text",
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"italic": true,
"order": 1,
"strikethrough": true,
"target": "cell",
"textColor": "text",
"value": null
}
],
"filter": [
{
"field": "text",
"id": "text",
"operator": "text",
"value": "text"
}
],
"ganttConfig": {
"baselineEndFieldName": null,
"baselineStartFieldName": null,
"dependencyDirection": "predecessor",
"dependencyFieldName": null,
"disableDragAndDrop": true,
"endFieldName": null,
"hideTitleColumn": true,
"hideWeekends": true,
"milestoneFieldName": null,
"progressFieldName": null,
"showCriticalPath": true,
"showWeekends": true,
"startFieldName": null,
"timeScale": "day",
"titleColumnFieldName": null,
"titleColumnWidth": 1
},
"groupBy": [
{
"direction": "asc",
"fieldName": "text"
}
],
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"name": "text",
"pivot": {
"columns": [
{
"dateGrouping": "day",
"fieldName": "text",
"sort": "asc"
}
],
"columnWidths": {
"rowHeader": 1,
"values": {
"ANY_ADDITIONAL_PROPERTY": 1
}
},
"rows": [
{
"dateGrouping": "day",
"fieldName": "text",
"sort": "asc"
}
],
"values": [
{
"agg": "avg",
"fieldName": "text"
}
]
},
"search": "text",
"sort": {
"direction": "asc",
"fieldName": "text"
},
"type": "Calendar"
}{
"data": {
"annualRecurring": true,
"chartConfig": {
"chartType": "bar",
"dataSets": [
{
"aggregation": "average",
"color": "text",
"fieldName": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
],
"donut": true,
"labelPosition": "bottom",
"legend": {
"show": true
},
"limit": 1,
"orientation": "horizontal",
"showDataTable": true,
"showLabels": true,
"showPoints": true,
"showTitle": true,
"smooth": true,
"stacked": true,
"style": "default",
"tooltips": {
"show": true
},
"xAxis": {
"fieldName": null,
"groupBy": "daily",
"show": true
},
"yAxis": {
"show": true
}
},
"columns": [
{
"agg": "text",
"conditionalStyling": [
{
"background": "text",
"cell": "text",
"color": "text",
"icon": "text",
"operand": "text",
"value": "text"
}
],
"field": "text",
"hidden": true,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"order": 1,
"role": "text",
"width": 1
}
],
"conditionalFormatting": [
{
"backgroundColor": "text",
"bold": true,
"comparator": "contains",
"expression": "text",
"fieldName": "text",
"highlightColor": "text",
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"italic": true,
"order": 1,
"strikethrough": true,
"target": "cell",
"textColor": "text",
"value": null
}
],
"filter": [
{
"field": "text",
"id": "text",
"operator": "text",
"value": "text"
}
],
"ganttConfig": {
"baselineEndFieldName": null,
"baselineStartFieldName": null,
"dependencyDirection": "predecessor",
"dependencyFieldName": null,
"disableDragAndDrop": true,
"endFieldName": null,
"hideTitleColumn": true,
"hideWeekends": true,
"milestoneFieldName": null,
"progressFieldName": null,
"showCriticalPath": true,
"showWeekends": true,
"startFieldName": null,
"timeScale": "day",
"titleColumnFieldName": null,
"titleColumnWidth": 1
},
"groupBy": [
{
"direction": "asc",
"fieldName": "text"
}
],
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"moduleName": "text",
"name": "text",
"order": 1,
"pivot": {
"columns": [
{
"dateGrouping": "day",
"fieldName": "text",
"sort": "asc"
}
],
"columnWidths": {
"rowHeader": 1,
"values": {
"ANY_ADDITIONAL_PROPERTY": 1
}
},
"rows": [
{
"dateGrouping": "day",
"fieldName": "text",
"sort": "asc"
}
],
"values": [
{
"agg": "avg",
"fieldName": "text"
}
]
},
"search": "text",
"sort": {
"direction": "asc",
"fieldName": "text"
},
"tableName": "text",
"type": "Calendar"
}
}Retrieves a specific view by id
Enter your Workspace API key.
API keys can be generated and managed within the Workspace Integration settings in the Ninox app.
View ID
a1b2c3d4e5f6Pattern: ^[a-z0-9]+$Workspace ID
5rdco4s18swuPattern: ^[a-z0-9]+$View details retrieved successfully
Unauthorized
View not found
Internal server error
GET /api/v1/workspace/{workspaceId}/views/{viewId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"annualRecurring": true,
"chartConfig": {
"chartType": "bar",
"dataSets": [
{
"aggregation": "average",
"color": "text",
"fieldName": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
],
"donut": true,
"labelPosition": "bottom",
"legend": {
"show": true
},
"limit": 1,
"orientation": "horizontal",
"showDataTable": true,
"showLabels": true,
"showPoints": true,
"showTitle": true,
"smooth": true,
"stacked": true,
"style": "default",
"tooltips": {
"show": true
},
"xAxis": {
"fieldName": null,
"groupBy": "daily",
"show": true
},
"yAxis": {
"show": true
}
},
"columns": [
{
"agg": "text",
"conditionalStyling": [
{
"background": "text",
"cell": "text",
"color": "text",
"icon": "text",
"operand": "text",
"value": "text"
}
],
"field": "text",
"hidden": true,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"order": 1,
"role": "text",
"width": 1
}
],
"conditionalFormatting": [
{
"backgroundColor": "text",
"bold": true,
"comparator": "contains",
"expression": "text",
"fieldName": "text",
"highlightColor": "text",
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"italic": true,
"order": 1,
"strikethrough": true,
"target": "cell",
"textColor": "text",
"value": null
}
],
"filter": [
{
"field": "text",
"id": "text",
"operator": "text",
"value": "text"
}
],
"ganttConfig": {
"baselineEndFieldName": null,
"baselineStartFieldName": null,
"dependencyDirection": "predecessor",
"dependencyFieldName": null,
"disableDragAndDrop": true,
"endFieldName": null,
"hideTitleColumn": true,
"hideWeekends": true,
"milestoneFieldName": null,
"progressFieldName": null,
"showCriticalPath": true,
"showWeekends": true,
"startFieldName": null,
"timeScale": "day",
"titleColumnFieldName": null,
"titleColumnWidth": 1
},
"groupBy": [
{
"direction": "asc",
"fieldName": "text"
}
],
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"moduleName": "text",
"name": "text",
"order": 1,
"pivot": {
"columns": [
{
"dateGrouping": "day",
"fieldName": "text",
"sort": "asc"
}
],
"columnWidths": {
"rowHeader": 1,
"values": {
"ANY_ADDITIONAL_PROPERTY": 1
}
},
"rows": [
{
"dateGrouping": "day",
"fieldName": "text",
"sort": "asc"
}
],
"values": [
{
"agg": "avg",
"fieldName": "text"
}
]
},
"search": "text",
"sort": {
"direction": "asc",
"fieldName": "text"
},
"tableName": "text",
"type": "Calendar"
}
}Deletes a view
Enter your Workspace API key.
API keys can be generated and managed within the Workspace Integration settings in the Ninox app.
View ID
a1b2c3d4e5f6Pattern: ^[a-z0-9]+$Workspace ID
5rdco4s18swuPattern: ^[a-z0-9]+$View deleted successfully
Unauthorized
View not found
Internal server error
DELETE /api/v1/workspace/{workspaceId}/views/{viewId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
{
"data": {
"id": "text"
}
}Updates a view. Nested configs (chartConfig, ganttConfig, pivot) are merged onto the stored ones, so a PATCH can send just the settings it changes.
Enter your Workspace API key.
API keys can be generated and managed within the Workspace Integration settings in the Ninox app.
View ID
a1b2c3d4e5f6Pattern: ^[a-z0-9]+$Workspace ID
5rdco4s18swuPattern: ^[a-z0-9]+$Calendar views only: render every record on the same day/month every year
View name
^[a-z0-9_]+$Stored search term
View type
View updated successfully
Bad request (e.g., unsupported view type)
Unauthorized
View not found
Internal server error
PATCH /api/v1/workspace/{workspaceId}/views/{viewId} HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 2042
{
"annualRecurring": true,
"chartConfig": {
"chartType": "bar",
"dataSets": [
{
"aggregation": "average",
"color": "text",
"fieldName": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
],
"donut": true,
"labelPosition": "bottom",
"legend": {
"show": true
},
"limit": 1,
"orientation": "horizontal",
"showDataTable": true,
"showLabels": true,
"showPoints": true,
"showTitle": true,
"smooth": true,
"stacked": true,
"style": "default",
"tooltips": {
"show": true
},
"xAxis": {
"fieldName": null,
"groupBy": "daily",
"show": true
},
"yAxis": {
"show": true
}
},
"columns": [
{
"agg": "text",
"conditionalStyling": [
{
"background": "text",
"cell": "text",
"color": "text",
"icon": "text",
"operand": "text",
"value": "text"
}
],
"field": "text",
"hidden": true,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"order": 1,
"role": "text",
"width": 1
}
],
"conditionalFormatting": [
{
"backgroundColor": "text",
"bold": true,
"comparator": "contains",
"expression": "text",
"fieldName": "text",
"highlightColor": "text",
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"italic": true,
"order": 1,
"strikethrough": true,
"target": "cell",
"textColor": "text",
"value": null
}
],
"filter": [
{
"field": "text",
"id": "text",
"operator": "text",
"value": "text"
}
],
"ganttConfig": {
"baselineEndFieldName": null,
"baselineStartFieldName": null,
"dependencyDirection": "predecessor",
"dependencyFieldName": null,
"disableDragAndDrop": true,
"endFieldName": null,
"hideTitleColumn": true,
"hideWeekends": true,
"milestoneFieldName": null,
"progressFieldName": null,
"showCriticalPath": true,
"showWeekends": true,
"startFieldName": null,
"timeScale": "day",
"titleColumnFieldName": null,
"titleColumnWidth": 1
},
"groupBy": [
{
"direction": "asc",
"fieldName": "text"
}
],
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"name": "text",
"pivot": {
"columns": [
{
"dateGrouping": "day",
"fieldName": "text",
"sort": "asc"
}
],
"columnWidths": {
"rowHeader": null,
"values": {
"ANY_ADDITIONAL_PROPERTY": null
}
},
"rows": [
{
"dateGrouping": "day",
"fieldName": "text",
"sort": "asc"
}
],
"values": [
{
"agg": "avg",
"fieldName": "text"
}
]
},
"search": "text",
"sort": {
"direction": "asc",
"fieldName": "text"
},
"type": "Calendar"
}{
"data": {
"annualRecurring": true,
"chartConfig": {
"chartType": "bar",
"dataSets": [
{
"aggregation": "average",
"color": "text",
"fieldName": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
}
],
"donut": true,
"labelPosition": "bottom",
"legend": {
"show": true
},
"limit": 1,
"orientation": "horizontal",
"showDataTable": true,
"showLabels": true,
"showPoints": true,
"showTitle": true,
"smooth": true,
"stacked": true,
"style": "default",
"tooltips": {
"show": true
},
"xAxis": {
"fieldName": null,
"groupBy": "daily",
"show": true
},
"yAxis": {
"show": true
}
},
"columns": [
{
"agg": "text",
"conditionalStyling": [
{
"background": "text",
"cell": "text",
"color": "text",
"icon": "text",
"operand": "text",
"value": "text"
}
],
"field": "text",
"hidden": true,
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"order": 1,
"role": "text",
"width": 1
}
],
"conditionalFormatting": [
{
"backgroundColor": "text",
"bold": true,
"comparator": "contains",
"expression": "text",
"fieldName": "text",
"highlightColor": "text",
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"italic": true,
"order": 1,
"strikethrough": true,
"target": "cell",
"textColor": "text",
"value": null
}
],
"filter": [
{
"field": "text",
"id": "text",
"operator": "text",
"value": "text"
}
],
"ganttConfig": {
"baselineEndFieldName": null,
"baselineStartFieldName": null,
"dependencyDirection": "predecessor",
"dependencyFieldName": null,
"disableDragAndDrop": true,
"endFieldName": null,
"hideTitleColumn": true,
"hideWeekends": true,
"milestoneFieldName": null,
"progressFieldName": null,
"showCriticalPath": true,
"showWeekends": true,
"startFieldName": null,
"timeScale": "day",
"titleColumnFieldName": null,
"titleColumnWidth": 1
},
"groupBy": [
{
"direction": "asc",
"fieldName": "text"
}
],
"icon": {
"color": "text",
"filling": 0,
"icon": "text"
},
"id": "text",
"labels": {
"ANY_ADDITIONAL_PROPERTY": "text"
},
"moduleName": "text",
"name": "text",
"order": 1,
"pivot": {
"columns": [
{
"dateGrouping": "day",
"fieldName": "text",
"sort": "asc"
}
],
"columnWidths": {
"rowHeader": 1,
"values": {
"ANY_ADDITIONAL_PROPERTY": 1
}
},
"rows": [
{
"dateGrouping": "day",
"fieldName": "text",
"sort": "asc"
}
],
"values": [
{
"agg": "avg",
"fieldName": "text"
}
]
},
"search": "text",
"sort": {
"direction": "asc",
"fieldName": "text"
},
"tableName": "text",
"type": "Calendar"
}
}Exports a view's rows as an XLSX workbook
Enter your Workspace API key.
API keys can be generated and managed within the Workspace Integration settings in the Ninox app.
View ID
a1b2c3d4e5f6Pattern: ^[a-z0-9]+$Workspace ID
5rdco4s18swuPattern: ^[a-z0-9]+$XLSX workbook
No content
Unauthorized
View not found
Internal server error
POST /api/v1/workspace/{workspaceId}/export/view/{viewId}/xlsx HTTP/1.1
Authorization: Bearer YOUR_SECRET_TOKEN
Accept: */*
No content
Last updated
Was this helpful?